public class VisitableTreeTest
{
	public static class PrintVisitor implements Visitor 
	{
		public boolean visit (Object o) 
		{
			System.out.println(o);
			return true;
    	}
  	}
  	
	public static void main(String[] args)
	{		
		MyVisitableTreeMap dictionary = new MyVisitableTreeMap();
	
		dictionary.put("node", "Knoten");
		dictionary.put("tree", "Baum");
		dictionary.put("root", "Wurzel");
		dictionary.put("left", "links");
		dictionary.put("right", "rechts");
	
		System.out.println("size= " + dictionary.size());
		System.out.println("Engl.: "+"left"+" Dt.: "+dictionary.get("left"));
		System.out.println("Engl.: "+"right"+" Dt.: "+dictionary.get("right"));
		System.out.println("Engl.: "+"root"+" Dt.: "+dictionary.get("root"));
		System.out.println("Engl.: "+"node"+" Dt.: "+dictionary.get("node"));
		System.out.println("Engl.: "+"bla"+" Dt.: "+dictionary.get("bla"));
	
		System.out.println("Ergebnis von visit:");
		dictionary.visit(new PrintVisitor());
		
		System.out.println("remove(tree)");
		dictionary.remove("tree");
		System.out.println("size= " + dictionary.size());
		
		System.out.print("Ergebnis von toString:");
		System.out.println(dictionary.toString());
	}
}