/** framework for visitor pattern: ability to be visited.
    @author A.T. Schreiner Java Lecture RIT 2000
    @version Vorlesung InfoB Schmid
  */
public interface Visitable {
  /** receive a visitor, manage the visit.
      @return true if the visitor always replies true.
    */
  boolean visit (Visitor v);
}

